/**
 * FWXX 部件模型
 *
 * @export
 * @class FWXXModel
 */
export default class FWXXModel {

	/**
	 * 是否是实体数据导出
	 *
	 * @returns {any[]}
	 * @memberof FWXXGridMode
	 */
	public isDEExport: boolean = false;

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof FWXXGridMode
	 */
	public getDataItems(): any[] {
    if(this.isDEExport){
		  return [
      ]
    }else{
		  return [
        {
          name: 'servicestate',
          prop: 'servicestate',
          dataType: 'SSCODELIST',
        },
        {
          name: 'memo',
          prop: 'memo',
          dataType: 'LONGTEXT_1000',
        },
        {
          name: 'container',
          prop: 'container',
          dataType: 'SSCODELIST',
        },
        {
          name: 'createdate',
          prop: 'createdate',
          dataType: 'DATETIME',
        },
        {
          name: 'servicename',
          prop: 'servicename',
          dataType: 'TEXT',
        },
        {
          name: 'updateman',
          prop: 'updateman',
          dataType: 'TEXT',
        },
        {
          name: 'updatedate',
          prop: 'updatedate',
          dataType: 'DATETIME',
        },
        {
          name: 'createman',
          prop: 'createman',
          dataType: 'TEXT',
        },
        {
          name: 'srfmajortext',
          prop: 'servicename',
          dataType: 'TEXT',
        },
        {
          name: 'srfdataaccaction',
          prop: 'serviceid',
          dataType: 'GUID',
        },
        {
          name: 'srfkey',
          prop: 'serviceid',
          dataType: 'GUID',
        },
        {
          name: 'servicert',
          prop: 'serviceid',
        },
      {
        name: 'n_servicename_like',
        prop: 'n_servicename_like',
        dataType: 'TEXT',
      },
      {
        name: 'n_container_eq',
        prop: 'n_container_eq',
        dataType: 'SSCODELIST',
      },

        {
          name:'size',
          prop:'size'
        },
        {
          name:'query',
          prop:'query'
        },
        {
          name:'page',
          prop:'page'
        },
        {
          name:'sort',
          prop:'sort'
        },
        {
          name:'srfparentdata',
          prop:'srfparentdata'
        },
        // 前端新增修改标识，新增为"0",修改为"1"或未设值
        {
          name: 'srffrontuf',
          prop: 'srffrontuf',
          dataType: 'TEXT',
        },
      ]
    }
  }

}